import request from '@/utils/request'

// 查询分包单位工人列表
export function listProProjectInfoSubdeptsUsers(query) {
  return request({
    url: '/manage/proProjectInfoSubdeptsUsers/list',
    method: 'get',
    params: query
  })
}

// 查询分包单位工人详细
export function getProProjectInfoSubdeptsUsers(id) {
  return request({
    url: '/manage/proProjectInfoSubdeptsUsers/' + id,
    method: 'get'
  })
}

// 新增分包单位工人
export function addProProjectInfoSubdeptsUsers(data) {
  return request({
    url: '/manage/proProjectInfoSubdeptsUsers',
    method: 'post',
    data: data
  })
}

// 修改分包单位工人
export function updateProProjectInfoSubdeptsUsers(data) {
  return request({
    url: '/manage/proProjectInfoSubdeptsUsers',
    method: 'put',
    data: data
  })
}

// 删除分包单位工人
export function delProProjectInfoSubdeptsUsers(id) {
  return request({
    url: '/manage/proProjectInfoSubdeptsUsers/' + id,
    method: 'delete'
  })
}

// 删除分包单位工人
export function updateEnterState(ids,state) {
  return request({
    url: '/manage/proProjectInfoSubdeptsUsers/enterState/' + state,
    method: 'post',
    data: ids
  })
}
